Commit 06260da1 authored by Rob Herring's avatar Rob Herring Committed by Emil Velikov

Android: drop LLVM support on Lollipop

Mesa no longer supports LLVM 3.5 for any targets we support.
Android-x86 adds support for llvmpipe which could work, but android-x86
for L is using mesa 11.0 anyway.

Dropping this support enables clean-up of libelf dependencies.
Signed-off-by: Rob Herring's avatarRob Herring <robh@kernel.org>
Reviewed-by: Chih-Wei Huang's avatarChih-Wei Huang <cwhuang@linux.org.tw>
Reviewed-by: default avatarEmil Velikov <emil.velikov@collabora.com>
parent 4c0c3719
......@@ -87,10 +87,6 @@ endif
endif
ifeq ($(MESA_ENABLE_LLVM),true)
ifeq ($(MESA_ANDROID_MAJOR_VERSION),5)
LOCAL_CFLAGS += -DHAVE_LLVM=0x0305 -DMESA_LLVM_VERSION_PATCH=2
ELF_INCLUDES := external/elfutils/0.153/libelf
endif
ifeq ($(MESA_ANDROID_MAJOR_VERSION),6)
LOCAL_CFLAGS += -DHAVE_LLVM=0x0307 -DMESA_LLVM_VERSION_PATCH=0
ELF_INCLUDES := external/elfutils/src/libelf
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment